Open CASCADE Technology: BRepClass_FaceClassifier Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepClass_FaceClassifier Class Reference

Provides Constructors with a Face. More...

`#include <BRepClass_FaceClassifier.hxx>`

Inheritance diagram for BRepClass_FaceClassifier:
[legend]

## Public Member Functions
| BRepClass_FaceClassifier ()
| Empty constructor, undefined algorithm. More...
| BRepClass_FaceClassifier (BRepClass_FaceExplorer &F, const gp_Pnt2d &P, const Standard_Real Tol)
| Creates an algorithm to classify the Point P with Tolerance <T> on the face described by <F>. More...
| BRepClass_FaceClassifier (const TopoDS_Face &F, const gp_Pnt2d &P, const Standard_Real Tol)
| Creates an algorithm to classify the Point P with Tolerance <T> on the face <F>. More...
void | Perform (const TopoDS_Face &F, const gp_Pnt2d &P, const Standard_Real Tol)
| Classify the Point P with Tolerance <T> on the face described by <F>. More...
| BRepClass_FaceClassifier (BRepClass_FaceExplorer &F, const gp_Pnt &P, const Standard_Real Tol)
| Creates an algorithm to classify the Point P with Tolerance <T> on the face described by <F>. More...
| BRepClass_FaceClassifier (const TopoDS_Face &F, const gp_Pnt &P, const Standard_Real Tol)
| Creates an algorithm to classify the Point P with Tolerance <T> on the face <F>. More...
void | Perform (const TopoDS_Face &F, const gp_Pnt &P, const Standard_Real Tol)
| Classify the Point P with Tolerance <T> on the face described by <F>. More...
Public Member Functions inherited from BRepClass_FClassifier
| BRepClass_FClassifier ()
| BRepClass_FClassifier (BRepClass_FaceExplorer &F, const gp_Pnt2d &P, const Standard_Real Tol)
void | Perform (BRepClass_FaceExplorer &F, const gp_Pnt2d &P, const Standard_Real Tol)
TopAbs_State | State () const
Standard_Boolean | Rejected () const
Standard_Boolean | NoWires () const
const BRepClass_Edge & | Edge () const
Standard_Real | EdgeParameter () const
IntRes2d_Position | Position () const

## Additional Inherited Members
Protected Attributes inherited from BRepClass_FClassifier
BRepClass_FClass2dOfFClassifier | myClassifier
BRepClass_Edge | myEdge
Standard_Real | myEdgeParameter
IntRes2d_Position | myPosition
Standard_Boolean | rejected
Standard_Boolean | nowires

## Detailed Description

Provides Constructors with a Face.

## Constructor & Destructor Documentation

BRepClass_FaceClassifier::BRepClass_FaceClassifier | ( |  | ) |

Empty constructor, undefined algorithm.

BRepClass_FaceClassifier::BRepClass_FaceClassifier | ( | BRepClass_FaceExplorer & | F,
|  | const gp_Pnt2d & | P,
|  | const Standard_Real | Tol
| ) |  |

Creates an algorithm to classify the Point P with Tolerance <T> on the face described by <F>.

BRepClass_FaceClassifier::BRepClass_FaceClassifier | ( | const TopoDS_Face & | F,
|  | const gp_Pnt2d & | P,
|  | const Standard_Real | Tol
| ) |  |

Creates an algorithm to classify the Point P with Tolerance <T> on the face <F>.

BRepClass_FaceClassifier::BRepClass_FaceClassifier | ( | BRepClass_FaceExplorer & | F,
|  | const gp_Pnt & | P,
|  | const Standard_Real | Tol
| ) |  |

Creates an algorithm to classify the Point P with Tolerance <T> on the face described by <F>.

BRepClass_FaceClassifier::BRepClass_FaceClassifier | ( | const TopoDS_Face & | F,
|  | const gp_Pnt & | P,
|  | const Standard_Real | Tol
| ) |  |

Creates an algorithm to classify the Point P with Tolerance <T> on the face <F>.

## Member Function Documentation

void BRepClass_FaceClassifier::Perform | ( | const TopoDS_Face & | F,
|  | const gp_Pnt2d & | P,
|  | const Standard_Real | Tol
| ) |  |

Classify the Point P with Tolerance <T> on the face described by <F>.

void BRepClass_FaceClassifier::Perform | ( | const TopoDS_Face & | F,
|  | const gp_Pnt & | P,
|  | const Standard_Real | Tol
| ) |  |

Classify the Point P with Tolerance <T> on the face described by <F>.

The documentation for this class was generated from the following file:

- BRepClass_FaceClassifier.hxx